Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160730 - No more optical output with SB live! cards
Summary: No more optical output with SB live! cards
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
: 167566 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 21:53 UTC by stef
Modified: 2008-02-16 23:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-16 23:00:39 UTC


Attachments (Terms of Use)

Description stef 2005-06-16 21:53:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
after installing FC4 I have no sound coming out my SB live! digital optical plugs on Live!Drive, very annoying since my amplificator is linked this way allowing for instance AC3 playback with MPlayer.

The sound however is fine with the headphones plugs so the card is recognised OK.

Worked without any modification with FC3 install and all kernel upgrades.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
play a sound file with xmms, rythmbox, mplayer...

Actual Results:  no sound coming out digital plugs

Expected Results:  sound plays and signal is sent to amplificator through the plugs

Additional info:

Comment 1 stef 2005-06-16 22:26:55 UTC
found a solution in the depths of an obscure forum, you have to edit
/etc/modprobe.conf to modify as follow :

options snd-emu10k1 extin=0x3fff extout=0x3fff index=0

Shouldn't it be detected by installer and/or system-config-sound tool to
automate those options ?

Comment 2 Martin Stransky 2005-06-29 09:54:19 UTC
If you add this options to /etc/modprobe.conf, do headphones/speakers
work too or only the digital output?

Comment 3 stef 2005-06-29 16:19:53 UTC
the analog output at the back of the soundcard and on the LiveDrive
panel works too

Comment 4 stef 2005-06-30 09:30:57 UTC
seen in the 2.6.13-rc1 kernel changelog, could it be related ? :

commit 65f37647711bf6b0d09b499b9205a33b35ad4ad6
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Mar 26 22:10:36 2005 +0100

    [ALSA] Add's identification of the SB Live! Platinum [CT4760P]
    
    EMU10K1/EMU10K2 driver
    
    
    Signed-off-by: James Courtier-Dutton <James@superbug.co.uk>

Comment 5 stef 2005-09-05 19:18:19 UTC
woooops stupid me, made a double by creating bug 167566 ... well too late, this
one is the most up-to-date and have some more new infos in it.

Comment 6 Martin Stransky 2005-09-13 08:29:11 UTC
*** Bug 167566 has been marked as a duplicate of this bug. ***

Comment 7 lynn 2005-10-21 21:10:58 UTC
what a headache this issue has been.

Just wanted to say thanks stef solved the problem immediately.  No more hassles.

For other newbies like myself this is what my modprobe.conf file looked like
before and after the edit.

Before:

alias eth0 8139too
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
options snd-emu10k1 index=0
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias char-major-81 bttv
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias usb-controller2 uhci-hcd

After:

alias eth0 8139too
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
options snd-emu10k1 extin=0x3fff extout=0x3fff index=0
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias char-major-81 bttv
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias usb-controller2 uhci-hcd

thanks to all that contributed to this topic and resolution for some.

Comment 8 Christian Iseli 2007-01-22 10:58:50 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 9 petrosyan 2008-02-16 23:00:39 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.